Get network information

Prev Next

Available in VPC

Get the blockchain network details.

Request

The following describes the request format for the endpoint. The request format is as follows:

Method URI
GET /api/v1/networks/{networkId} (Korea Region)
GET /api/sgn-v1/networks/{networkId} (Singapore Region)

Request headers

For information about the headers common to all Blockchain Service APIs, see Blockchain Service request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
networkId Long Required Network ID

Request example

curl --location --request GET 'https://blockchainservice.apigw.ntruss.com/api/v1/networks/{networkId}' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json'

Response

The following describes the response format.

Response body

The following describes the response body.

Field Type Required Description
content Object - Network details
content.networkId Long - Network ID
content.networkName String - Network name
content.blockchainFrameworkCodeName String - Hyperledger Fabric version information
content.nksClusterName String - Ncloud Kubernetes Service cluster name
content.nodeAffinityLabel String - Label name of the Ncloud Kubernetes Service cluster nodepool where the blockchain node is deployed
content.status String - Network status
  • ACTIVE | DEPLOY | DELETE
    • ACTIVE: running
    • DEPLOY: deploying
    • DELETE: deleting
content.peerCount Integer - Number of peer nodes
content.ordererCount Integer - Number of orderer nodes
content.channelCount Integer - Number of channel nodes
content.createDate LocalDateTime - Network creation date and time
  • YYYY-MM-DDTHH:MM:SS+0000 format

Response status codes

For information about the HTTP status codes common to all Blockchain Service APIs, see Blockchain Service response status codes.

Response example

The following is a sample example.

{
    "content": {
        "networkId": 1630,
        "networkName": "******-blockchain-test1",
        "blockchainFrameworkCodeName": "Hyperledger Fabric 2.2.3",
        "nksClusterName": "blockchain-test (1.28.10)",
        "status": "ACTIVE",
        "peerCount": 1,
        "ordererCount": 1,
        "channelCount": 1,
        "createDate": "2024-07-29T07:25:39+0000"
    }
}